Subject: Re: Guix, third-party repositories and GNU FSDG

From: Léo Le Bouter <[email-masked]>
Date: Fri, 12 Feb 2021 22:22:27 +0100

Hello!

I have been looking at this, since Cargo has a feature to add third
party repositories already I am thinking we can remove the concept of a
default repository in Cargo by patching it.

Cargo has multiple roles in relation with crates.io - it can search,
install and publish packages. I am thinking we need to strip the search
and install functionality on the currently default repository. Publish
functionality could stay.

I will report back when I have a satisfying patchset for Cargo.

Léo